Bug 952398 (CVE-2013-2423) - CVE-2013-2423 OpenJDK: incorrect setter access checks in MethodHandles (Hostspot, 8009677)
Summary: CVE-2013-2423 OpenJDK: incorrect setter access checks in MethodHandles (Hosts...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2423
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130416,repor...
Depends On:
Blocks: 950067
TreeView+ depends on / blocked
 
Reported: 2013-04-15 21:02 UTC by Tomas Hoger
Modified: 2019-06-08 19:31 UTC (History)
3 users (show)

Fixed In Version: icedtea7 2.3.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 13:27:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 22:43:48 UTC
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 22:43:40 UTC
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:10:43 UTC
Red Hat Product Errata RHSA-2013:0822 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:13:34 UTC

Description Tomas Hoger 2013-04-15 21:02:14 UTC
java.lang.invoke.MethodHandles did not perform access checks correctly.  An untrusted Java application or applet could use this to set value of a final field.

Comment 1 Tomas Hoger 2013-04-16 22:08:34 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in Oracle Java SE 7u21.

Comment 2 Tomas Hoger 2013-04-17 18:43:25 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/b453d9be6b3f

Comment 3 errata-xmlrpc 2013-04-17 18:45:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 4 errata-xmlrpc 2013-04-17 18:47:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 5 errata-xmlrpc 2013-04-18 18:28:18 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 6 Tomas Hoger 2013-04-26 12:20:30 UTC
Fixed in IcedTea7 version 2.3.9:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-April/022890.html

Comment 7 errata-xmlrpc 2013-05-14 18:03:50 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html


Note You need to log in before you can comment on or make changes to this bug.